Programmation en VBA sous Autocad

Signaler
-
Messages postés
6
Date d'inscription
mercredi 19 août 2009
Statut
Membre
Dernière intervention
7 avril 2011
-
Je recherche tous documents pouvant m'aider à programmer en VBA sous Autocad 2000.

Merci d'avance

18 réponses

Ce n'est pas vraiment la réponse que tu attendais mais je serai également intéressé par des documents de programmation VBA sous Autocad.
Ce n'est pas évident d'en trouver...
Je te donne mon e-mail:
c.wehrle@rinaldi-structal.com

Salut,

Florian
Messages postés
6
Date d'inscription
jeudi 26 décembre 2002
Statut
Membre
Dernière intervention
10 janvier 2003

Salut Florian

Je crois que je suis dans votre camp.En fait je cherche aussi toute documentation utile pour:
programmer en vba sous autocad
ou programmer en VB en manipulant les objets AUTOCAD
Merci d'avance pour votre aide!!
Mon email est : joseph.algor@caramail.com
Messages postés
1
Date d'inscription
vendredi 28 février 2003
Statut
Membre
Dernière intervention
29 juillet 2004

www.newz.net/acadplus/

un site avec un pdf sur vba pour autocad

manu

@+
Messages postés
11
Date d'inscription
mardi 27 janvier 2004
Statut
Membre
Dernière intervention
22 décembre 2004

Bonjour j'aimerais savoir si depuis vous avez trouvé quelque chose sur la programmation sous autocad en VB
Si c'est le cas je serais egalement preneur

Goto_JC
Messages postés
5
Date d'inscription
mardi 27 septembre 2005
Statut
Membre
Dernière intervention
3 octobre 2005

Bonjour à tous,


En parcourant les articles parus sous Autocad sur ce site, j'ai vu vos demandes. Voci un excellent bouquin au format HTML de Albert Thalheim. Il contient un manuel de référence, la structure du modèle objet et des exemples avec fichiers à l'appui. Ce bouquin décline Autocad dans sa dernière version.
Son adresse : albert@thalheim.ca

Bonnes chances
Messages postés
3
Date d'inscription
mercredi 23 novembre 2005
Statut
Membre
Dernière intervention
17 décembre 2005

[mailto:jila_li50@hotmail.com jila_li50@hotmail.com]
Messages postés
4
Date d'inscription
jeudi 4 novembre 2004
Statut
Membre
Dernière intervention
17 octobre 2009

Salut a tt, je souhait récupperer de cordones des poit d'aurtocad avec des macro vb ou vb6, a note ue les points son deja sur le meme calque et je disire avoire ces cordone tt a la fois
merci de m'aide


[mailto:xtravagon@hotmail.com xtravagon@hotmail.com]
Messages postés
3
Date d'inscription
samedi 16 septembre 2006
Statut
Membre
Dernière intervention
16 septembre 2006

trés ravi de faire parti de la grande famille CodeS-SourceS
Messages postés
3
Date d'inscription
samedi 16 septembre 2006
Statut
Membre
Dernière intervention
16 septembre 2006

Salut, je suis entrain de developper une application access que je dois lier à un fichier Autocad,de telle sorte àce que toute l'information que contient ma BD Access soit lier à des objets  contenus dans un fichier Dwg (Autocad).quel code dois-je ecrire?
  

Merci
Messages postés
3
Date d'inscription
samedi 16 septembre 2006
Statut
Membre
Dernière intervention
16 septembre 2006

Salut, je suis entrain de developper une application access que je dois lier à un fichier Autocad,de telle sorte à ce que toute l'information que contient ma BD Access soit lier à des objets  contenus dans un fichier Dwg (Autocad).quel code dois-je ecrire?
   Merci

[mailto:Houcine_1965@hotmail.com Houcine_1965@hotmail.com]
Messages postés
5
Date d'inscription
mardi 27 septembre 2005
Statut
Membre
Dernière intervention
3 octobre 2005

Hello Houcine,


Je suis Autodesk Developer Network et je connais bien Autocad pour le vendre et l'enseigner. Ma société développe des applicatifs qui lient les mondes des bases de données aux objets Autocad. Je te laisse visiter mon site www.sauvaincad.ch et si tu veux des infos complémentaires tu y trouveras une adresse email. Salutations
Messages postés
10
Date d'inscription
dimanche 21 novembre 2010
Statut
Membre
Dernière intervention
18 décembre 2009

SALUT A TOUS

J'ai un fichier d'aide autocad sous format HLP mais il est en anglais , si cela ne vous derange pas dites moi juste comment vous l'envoyer sachant qu'il fait 8megas, peut etre sur vos boites
Messages postés
3
Date d'inscription
mercredi 10 mars 2004
Statut
Membre
Dernière intervention
3 juillet 2009

Bonjour,
je voulais savoir s'il y a moyen de programmer sous autocad LT?

L_arsene ;)
Messages postés
4
Date d'inscription
mercredi 23 août 2006
Statut
Membre
Dernière intervention
29 novembre 2007

je voudrais récuperer dans un fichier texte les lignes d'un fchier autocad avec ses caractéristiques ( coordonnées point de départ et point d'arrivée)


j'ai fait le code suivant ca ne marche pas. lobjectif est de génerer le fichier d'échande du logiciel EPANET. En considérant les noeuds comme des blocs c'est ok mais le problème qui persiste concerne les lignes .


de l'aide SVP.


Private Sub CommandButton1_Click()



Dim NomFichierText As String<?xml:namespace prefix o ns "urn:schemas-microsoft-com:office:office" /??>





Dim NomFichier As String





Dim FichAccess As String




FichAccess = ThisDrawing.FullName



    ' Pour être sûr que ce n'est pas un dessin sans nom



    If FichAccess <> "" Then



      ' on retire l'extension dwg à la fin du nom



      FichAccess = Left$(FichAccess, Len(FichAccess) - 4)



      ' on ajoute l'extension pour Access



    
 



    Else



      FichAccess = "SansNom"    ' si le dessin n'a pas encore de nom



   
End If





'FichAccess = Left$(FichAccess, Len(FichAccess) - 4)




NomFichier = FichAccess


NomFichierText = NomFichier & ".txt"



Open NomFichierText For Output As #1






    'Unload Me





'============================================





Dim TL(1 To 100000, 1 To 12) As Variant





Dim k As Long





k = 1





Dim NombreTL As Long





Dim CompteurTL As Long






 






Dim objElem2 As AcadEntity






 






For Each objElem2 In ThisDrawing.ModelSpace






     
' si l'élément est un bloc



     
If objElem2.EntityType = acdbLine Then






                        If k <9 Then ComplementNom "N00"






                        If k >= 10 And k <= 99 Then ComplementNom = "N0"






                  
     If k > 100 And j <999 Then ComplementNom "N"






                        If k > 1000 Then ComplementNom = "N"






     








      








      objElem2.Highlight (True)






      TL(k, 1) = k






      TL(k, 2) = objElem2.ObjectName






      TL(k, 3) = objElem2.Angle






      TL(k, 4) = objElem2.Layer






      TL(k, 5) = objElem2.StartPoint(0)






      TL(k, 6) = objElem2.StartPoint(1)






      TL(k, 7) = objElem2.StartPoint(2)






      TL(k, 8) = objElem2.EndPoint(0)






      TL(k, 9) = objElem2.EndPoint(1)






      TL(k, 10) = objElem2.EndPoint(2)






      TL(k, 11) = objElem2.Length






      TL(k, 12) = objElem2.ObjectName & ComplementNom & k






      TL(k, 13) = objElem2.Delta






      TL(k, 14) = objElem2.Length






      TL(k, 15) = objElem2.TrueColor






     








      Print #1, TL(k, 1), TL(k, 2), TL(k, 3), TL(k, 4), TL(k, 5), TL(k, 6), TL(k, 7), TL(k, 8), TL(k, 9), TL(k, 10), TL(k, 11), TL(k, 12), TL(k, 12), TL(k, 13), TL(k, 14)






      Print #1, ""






       k = 1 + k






      entry.Highlight (False)






      End If






     








           








    








 Next objElem2






 








 NombreTL = k






 







Close #1




End Sub
Messages postés
4
Date d'inscription
mercredi 23 août 2006
Statut
Membre
Dernière intervention
29 novembre 2007

je voudrais récuperer dans un fichier texte les lignes d'un fchier autocad avec ses caractéristiques ( coordonnées point de départ et point d'arrivée)


j'ai fait le code suivant ca ne marche pas. lobjectif est de génerer le fichier d'échande du logiciel EPANET. En considérant les noeuds comme des blocs c'est ok mais le problème qui persiste concerne les lignes .


de l'aide SVP.


Private Sub CommandButton1_Click()



Dim NomFichierText As String<?xml:namespace prefix o ns "urn:schemas-microsoft-com:office:office" /??>





Dim NomFichier As String





Dim FichAccess As String




FichAccess = ThisDrawing.FullName



    ' Pour être sûr que ce n'est pas un dessin sans nom



    If FichAccess <> "" Then



      ' on retire l'extension dwg à la fin du nom



      FichAccess = Left$(FichAccess, Len(FichAccess) - 4)



      ' on ajoute l'extension pour Access



    
 



    Else



      FichAccess = "SansNom"    ' si le dessin n'a pas encore de nom



   
End If





'FichAccess = Left$(FichAccess, Len(FichAccess) - 4)




NomFichier = FichAccess


NomFichierText = NomFichier & ".txt"



Open NomFichierText For Output As #1






    'Unload Me





'============================================





Dim TL(1 To 100000, 1 To 12) As Variant





Dim k As Long





k = 1





Dim NombreTL As Long





Dim CompteurTL As Long






 






Dim objElem2 As AcadEntity






 






For Each objElem2 In ThisDrawing.ModelSpace






     
' si l'élément est un bloc



     
If objElem2.EntityType = acdbLine Then






                        If k <9 Then ComplementNom "N00"






                        If k >= 10 And k <= 99 Then ComplementNom = "N0"






                  
     If k > 100 And j <999 Then ComplementNom "N"






                        If k > 1000 Then ComplementNom = "N"






     








      








      objElem2.Highlight (True)






      TL(k, 1) = k






      TL(k, 2) = objElem2.ObjectName






      TL(k, 3) = objElem2.Angle






      TL(k, 4) = objElem2.Layer






      TL(k, 5) = objElem2.StartPoint(0)






      TL(k, 6) = objElem2.StartPoint(1)






      TL(k, 7) = objElem2.StartPoint(2)






      TL(k, 8) = objElem2.EndPoint(0)






      TL(k, 9) = objElem2.EndPoint(1)






      TL(k, 10) = objElem2.EndPoint(2)






      TL(k, 11) = objElem2.Length






      TL(k, 12) = objElem2.ObjectName & ComplementNom & k






      TL(k, 13) = objElem2.Delta






      TL(k, 14) = objElem2.Length






      TL(k, 15) = objElem2.TrueColor






     








      Print #1, TL(k, 1), TL(k, 2), TL(k, 3), TL(k, 4), TL(k, 5), TL(k, 6), TL(k, 7), TL(k, 8), TL(k, 9), TL(k, 10), TL(k, 11), TL(k, 12), TL(k, 12), TL(k, 13), TL(k, 14)






      Print #1, ""






       k = 1 + k






      entry.Highlight (False)






      End If






     








           








    








 Next objElem2






 








 NombreTL = k






 







Close #1




End Sub
Messages postés
4
Date d'inscription
samedi 15 novembre 2008
Statut
Membre
Dernière intervention
25 février 2009

salut à tout le monde,je  suis entrain de faire une application par autocad et vba,et je sais pas comment je peux sélectionner  des objets sous autocad par vba et déterminer le type et les cordonnées de chaque objet.
Vraiment j'ai besoin de votre aide car c'est trés urgent.
Merci d'avance,mes amis.
Messages postés
1
Date d'inscription
jeudi 14 mai 2009
Statut
Membre
Dernière intervention
31 juillet 2009

Bonjour
moi aussi je sui confronté au mem pb ke toi
selman ma base de données j la veux en SQL
merci de me faire par de la solution si tu la trouve. merci
Messages postés
6
Date d'inscription
mercredi 19 août 2009
Statut
Membre
Dernière intervention
7 avril 2011

PYROMAR EST CE que je peux avoir le fichier d'aide autocad, si tu en a tjs, tu peux me contacter sur cette adresse houda.mez@gmail.Com merci d'avance